# == Class: badstation
#
# For the most part this is the basic package I need on my virtual machine.
#
# === Variables
# [*x11*]
#   Graphical User Interface platform that can
#   be networked. DEFAULT: false
# [*developer*]
#   Software Development tools. DEFAULT: false
# === Examples
#
#  `include badstation`
#
#  or
#
#    class {'badstation':
#      development => true,
#      remote => false,
#      x11 => true,
#    }
#
# === Authors
#
# BadQuanta@gmail.com
#
# === Copyright
#
# Copyright 2015 Jon (BadQuanta@Gmail.com) Sawyer
#
class badstation(
  $x11 = false,
  $development = false,
  $remote = true,
  $testing = false,
) {
  if($x11){
    include badstation::x11
  }
  if($development){
    include badstation::development
  }
  if($remote){ # Then ensure that there is basic service.
    package { ['openssh-server','sshfs']: ensure => 'latest' }
  }
  # I like to see the last time puppet ran when I login:
  include badstation::motd
  # I like to take control of sudo
  include badstation::badsudo
  # I like to use debian based systems:
  include badstation::debian
  # All systems need these basic packages that I like.
  include badstation::essentials
  # Optionally include virtualbox addons
  if $is_virtual {
    notify {'vm_detected': message => "Virtual Machine Detected"}
    include badstation::virtualbox
  } else {
    # TODO: Review do nothing?
  }
}
